/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#include "./modified_mafft/mltaln.h"

#define ALNLEN 1e8

/**************************************************************/
/*********************** Galignment.c *************************/
/**************************************************************/

int alignIt(char* in1,char* in2,char* res[])
{
	char* seq[2];
	unsigned long i=0;
	char** tmp;

	if( (in1[0]<'a')||(in1[0]>'z') )
		while(in1[i])
		{
			in1[i]=in1[i]-'A'+'a';
			i++;
		}
	i=0;	

	if( (in2[0]<'a')||(in2[0]>'z') )
		while(in2[i])
		{
			in2[i]=in2[i]-'A'+'a';
			i++;
		}

	seq[0]=in1;seq[1]=in2;

	tmp = GA( seq[0],seq[1]);

	res[0]=malloc((strlen(tmp[0])+1));
	res[1]=malloc((strlen(tmp[1])+1));
	
	strcpy(res[0],tmp[0]);
	strcpy(res[1],tmp[1]);

	FreeCharMtx(tmp); 

	return 0;
}

/**************************************************************/
