/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#ifndef _GeneComp_
#define _GeneComp_

#include "seq.h"

/****************************************************************/
/*********************** GeneComp Class *************************/
/****************************************************************/

template <class GENOME_TYPE>
class GeneComp
{
	public:
/**
 * An auxiliary method which defines a way of sorting (according to the beginning coordinate of the SEQ)
 * a structure which holds SEQ<GENOME_TYPE> objects.
 * Note: Usage of this method is done by STL's "sort".
 * @param a: A const reference to a SEQ<GENOME_TYPE> object.
 * @param b: A const reference to a SEQ<GENOME_TYPE> object.
 * @return bool
 */
bool operator()( const SEQ<GENOME_TYPE> & a, const SEQ<GENOME_TYPE> & b )const 	
	{	
		return ( a.get_start() < b.get_start() );
	}
	
};


/****************************************************************/


#endif

