/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#ifndef _lightKISComp1_
#define _lightKISComp1_

#include "lightkis.h"

/*********************************************************************/
/*********************** lightKISComp1 Class *************************/
/*********************************************************************/

template <class GENOME_TYPE>

class lightKISComp1
{
	public:

/**
 * An auxiliary method which defines a way of sorting (alphabetically, according to the object's label) a structure which holds lightKIS<GENOME_TYPE> objects.
 * Note: Use of this method is done by STL's "sort".
 * @param a: A const reference to a lightKIS<GENOME_TYPE> object.
 * @param b: A const reference to a lightKIS<GENOME_TYPE> object.
 * @return bool
 */

bool operator()( const lightKIS<GENOME_TYPE> & a, const lightKIS<GENOME_TYPE> & b )const 	
	{	
		return ( a.getName() < b.getName() );
	}
	
};

/*********************************************************************/

#endif
