/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#ifndef __LA__
#define __LA__

#include "LAres.h"

/******************************************************************/
/*********************** localAlignment.h *************************/
/******************************************************************/

/**
 * LA is actually a modified version of YASS's local alignment method.
 * @param argc: The number of args I give YASS.
 * @param argv: The actual args I give YASS (I've used the following  LA -d 2 -E <double> )
 * @param genome: A pointer to the genome array of characters.
 * @param chunks: A pointer to the chunks we would like to locally align with genome.
 * @return LAresult: A linked list of LAres structs (see LAres.h).
 * Note: Using the option "-d 2" assures that the result will be held in a linked list of LAres structs!
 *       So it is highly recommended to use it in order to avoid using files for output.
 */
LAresult LA(int argc,const char *argv[],const char* genome,const char* chunks);

/******************************************************************/

#endif

