/*
 *  YASS 1.10
 *  Copyright (C) 2004,2005
 *  YASS Team
 *  Laurent Noe, Gregory Kucherov, Mikhail Roytberg, 
 *  Christophe Valmir, Steven Corroy
 *
 *  noe|<A>|lifl.fr
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software contains code derived from the GNU libavl library.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <stdio.h>
#include "global_var.h"
#include "threads.h"

Feature gv_feature[2];


/*
 *  Affichage du grouping
 */

int             regroup_begin   = 0;
int             regroup_end     = 0;
int             filtering_begin = 0;
int             filtering_end   = 0;

#ifdef BIPROC
#ifdef WIN32

/* WINDOWS multi proc */
HANDLE regroup_mutex_begin   ;
HANDLE regroup_mutex_end     ;
HANDLE filtering_mutex_begin ;
HANDLE filtering_mutex_end   ;

#else

/* UNIX multi proc*/
pthread_mutex_t regroup_mutex_begin   ;
pthread_mutex_t regroup_mutex_end     ;
pthread_mutex_t filtering_mutex_begin ;
pthread_mutex_t filtering_mutex_end   ;

#endif 

#else

/* Mono Proc*/
int display_regroup_mutex_begin = 0;
int regroup_mutex_begin         = 0;
int regroup_mutex_end           = 0;
int filtering_mutex_begin       = 0;
int filtering_mutex_end         = 0;

#endif
void init_Feature(Feature * feature){

  feature->first_MA    = NULL;
  feature->last_MA     = NULL;

  feature->i_current   = 0;
  feature->i_chunk     = 0;

  feature->left_correction = 0;
  
#ifdef STATS
  feature->clock_pre        = 0;
  feature->clock_align      = 0;
  feature->clock_chain      = 0;  
  feature->clock_post       = 0;
  feature->nb_keys_removed  = 0;
  feature->nb_seeds         = 0;
  feature->nb_chains_tested = 0;
  feature->nb_chains_built  = 0;
  feature->nb_ma            = 0;
  feature->nb_postprocessed_grouping_tests = 0;
  feature->nb_postprocessed_ma             = 0;
  feature->nb_postprocessed_grouping_links = 0;
#endif
  feature->last_point = 1;

}



